Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction.annotation
Class AbstractTransactionManagementConfiguration

    java.lang.Object
      org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration

All Implemented Interfaces:
  Aware, ImportAware

Direct Known Subclasses:
  AspectJTransactionManagementConfiguration, ProxyTransactionManagementConfiguration

    @Configuration
    public abstract class AbstractTransactionManagementConfiguration

extends java.lang.Object
implements ImportAware

Abstract base `@Configuration` class providing common structure for enabling Spring's annotation-driven transaction management capability.

Since:
  3.1
Author:
  Chris Beams
See Also:
  `EnableTransactionManagement`

Field Summary
`protected AnnotationAttributes` | `enableTx`
`protected PlatformTransactionManager` | `txManager`

Constructor Summary
`AbstractTransactionManagementConfiguration()`

Method Summary
`void` | `setImportMetadata(AnnotationMetadata importMetadata)` Set the annotation metadata of the importing @`Configuration` class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### enableTx

    protected AnnotationAttributes enableTx

### txManager

    protected PlatformTransactionManager txManager

Constructor Detail

### AbstractTransactionManagementConfiguration

    public AbstractTransactionManagementConfiguration()

Method Detail

### setImportMetadata

    public void setImportMetadata(AnnotationMetadata importMetadata)

  Description copied from interface: `ImportAware`
  Set the annotation metadata of the importing @`Configuration` class.

  Specified by:
    `setImportMetadata` in interface `ImportAware`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD